deploy project

The deploy project API sends a POST request to start a service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a project id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idThe ID of the projectUUID
Query Parameters
Field nameDescriptionFormat
versionThe project versionString
deployerThe deployerString
profileThe deployer profileString
Request Body
Field nameDescriptionFormat
environmentTypeThe deployment environment typeString
activeProfilesActive profilesArray
configurationVariablesConfiguration variablesArray
applicationNameThe deployment application nameString
Configuration Variable Structure
Field nameDescriptionFormat
nameThe configuration nameString
typeThe configuration typeString
defaultThe configuration defaultObject
Response Body
Field nameDescriptionFormat
idThe ID of the deployment serviceUUID
statusThe deployment statusString

Examples

{
  "environmentType": "TEST",
  "activeProfiles": [
    "$default"
  ],
  "configurationVariables": [
    {
      "name": "VARIABLE",
      "type": "INTEGER",
      "default": 0
    }
  ],
  "applicationName": "deployment-name"
}
{
  "id": "00000000-0000-0000-0000-000000004444",
  "status": "STARTED"
}
Path Params
string
required
Query Params
string
Defaults to 0
string
string
Body Params
string
required
activeProfiles
array of strings
activeProfiles
configurationVariables
array of objects
configurationVariables
string
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json